'ForensiT User Profile Wizard Deployment Kit generated vbscript script 13/09/2010 19:48:13

'******************************************************************************************************************
'This sample script is provided AS IS without warranty of any kind. ForensiT further disclaims all implied
'warranties including, without limitation, any implied warranties of merchantability or of fitness for a
'particular purpose. The entire risk arising out of the use or performance of this sample script remains
'with you. In no event shall ForensiT, its authors, or anyone else involved in the creation, production, or
'delivery of this script be liable for any damages whatsoever (including, without limitation, damages for
'loss of business profits, business interruption, loss of business information, or other pecuniary loss)
'arising out of the use of or inability to use this sample script, even if ForensiT has been advised of the
'possibility of such damages.
'******************************************************************************************************************

'This script will allow you to migrate all the user accounts on a workstation that belong to a particular domain
'This script requires Windows Script Host 5.1 and Internet Explorer 4.0 or later
Option Explicit

'Profwiz Parameters
Dim strLogFile

'Script variables
Dim objWshShell, objFSO, objShellApp, objstrMachineFlagPath, AppDataFolder, objFolderItem, objAppDataFolder, objMachineFlag
Dim strNetworkShare, strMachineFlagName, strMachineFlagPath, strError
Dim blnDebug, blnReboot, strComputerName, strCmdLine, intSuccess, intError


'******************************************************************************************************************

'Set variables in this section

'Enter the flag file name
strMachineFlagName="ForensiTMigrated"

'Set blnDebug to true to see debug messages
blnDebug=true

'******************************************************************************************************************


If blnDebug=false then
	On Error Resume Next
End If

Const ALL_USERS_APPLICATION_DATA = &H23&
Const APPLICATION_DATA = &H1a&
Const ERROR_FILE_NOT_FOUND = &H80070002
Const ERROR_FILE_EXISTS = &H003A

blnReboot=false

Set objWshShell = WScript.CreateObject("WScript.Shell")
Set objFSO = CreateObject("Scripting.FileSystemObject")

'Check WSH version
If not CDbl(WScript.Version)>=5.6 then
	MsgBox "This script requires Windows Script Host 5.6", vbCritical, "Script Error"
	WScript.Quit
End If

'Get local computer name from registry
strComputerName=objWshShell.RegRead("HKLM\SYSTEM\CurrentControlSet\Control\ComputerName\ActiveComputerName\ComputerName")


'Check if the machine has already been migrated
'This section is dependent on WSH 5.6. If you don't have WSH 5.6 you will need to ammend the following code.
Set objShellApp = CreateObject("Shell.Application")
Set objAppDataFolder = objShellApp.Namespace(ALL_USERS_APPLICATION_DATA)
Set objFolderItem = objAppDataFolder.Self
strMachineFlagPath=objFolderItem.Path & "\" & strMachineFlagName

If objFSO.FileExists(strMachineFlagPath) Then
	If blnDebug=true Then
		Dim intMsg
		intMsg=MsgBox("The 'migrated' flag file has been set."& vbNewLine & vbNewLine &"Do you want to delete the flag file and continue?", vbQuestion +vbYesNo, "ForensiT Script Debugging")
		If intMsg=vbYes Then
			objFSO.DeleteFile(strMachineFlagPath)
		Else
			WScript.Quit
		End If
	Else
		WScript.Quit
	End If
End If



'Start monitor
Dim strLogMon
strLogFile="C:\Users\Public\Documents\migrate.log"
strLogMon="LogMon.exe " & chr(34) & strLogFile & chr(34)
objWshShell.Run("%comspec% /k " & strLogMon)


strCmdLine="Profwiz.exe /NOREBOOT"

blnReboot=true

intSuccess=1

'Special error handling for common failure
On Error Resume Next

intSuccess=objWshShell.Run (strCmdLine, 0, true)

intError=Err.number

If blnDebug=true then
	On Error GoTo 0
End If

If not intError=0 Then
	If intError=ERROR_FILE_NOT_FOUND Then
		MsgBox "The script cannot find the Profwiz.exe file.", vbCritical, "ForensiT Script Debugging"
		WScript.Quit
	Else
		Err.Raise intError
	End If
End If

If intSuccess=0 Then
	Set objMachineFlag = objFSO.CreateTextFile(strMachineFlagPath, True)
Else
	blnReboot=false
End If





'******************************************************************************************************************
'Completion message - code in this section can be deleted
Dim strMessage, Icon
strMessage=""

If intSuccess<>0 Then
	Icon=vbExclamation

	strMessage=strMessage & "The migration failed. See Log file."
	MsgBox strMessage, Icon, "User Profile Migration Script"
End If


If blnReboot=true Then
	PromptForReboot
End If





'******************************************************************************************************************
'Functions


Function PromptForReboot()
	Dim Result
	Result = MsgBox ("You must restart your computer before the new settings will take effect." _
		& vbNewLine & vbNewLine & "Do you want to restart your computer now?", vbQuestion +vbYesNo, "System Settings Change")

	if Result=vbYes then
		Dim objWMIService, colOperatingSystems, objOperatingSystem
		Set objWMIService = GetObject("winmgmts:{impersonationLevel=impersonate,(Shutdown)}\\.\root\cimv2")
		Set colOperatingSystems = objWMIService.ExecQuery("Select * from Win32_OperatingSystem")

		For Each objOperatingSystem in colOperatingSystems
			objOperatingSystem.Win32Shutdown(6)
		Next
	End If

End Function
